package com.ssj.service.conch.student.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

public class WrongTopicBookRequest extends BaseRequest {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "vipId", value = "学生id", required = true)
    private String    vipId;

    @ApiModelProperty(name = "subject", value = "科目", required = true)
    private String    subject;

    @ApiModelProperty(name = "type", value = "类型，2已订正和1未订正", required = true)
    private int    type;

    @ApiModelProperty(name = "pageNo", value = "页码", required = true)
    private int    pageNo;

    @ApiModelProperty(name = "pageSize", value = "每页条数", required = true)
    private int    pageSize;

    @ApiModelProperty(name = "maxCreateTime", value = "最大创建时间", required = false)
    private String    maxCreateTime;

    public String getVipId() {
        return vipId;
    }

    public void setVipId(String vipId) {
        this.vipId = vipId;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public int getPageNo() {
        return pageNo;
    }

    public void setPageNo(int pageNo) {
        this.pageNo = pageNo;
    }

    public int getPageSize() {
        return pageSize;
    }

    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
    }

    public String getMaxCreateTime() {
        return maxCreateTime;
    }

    public void setMaxCreateTime(String maxCreateTime) {
        this.maxCreateTime = maxCreateTime;
    }
}
